Update to 2.0.0 still possible?

Discussion in 'Switch - Hacking & Homebrew' started by aimaim, Apr 7, 2017.

  1. aimaim
    OP

    aimaim Newbie

    Newcomer
    5
    0
    Apr 7, 2017
    Gambia, The
    Hi everybody,
    I just ordered a switch and I don't know which firmware it will be shipped with. If it comes with 1.0.0 is there a way to update it to 2.0.0 or can I only go straight to 2.1.0? I'd like to stay on 2.0.0 to see what the webkit exploit will bring.
    Thanks!
     
  2. Yoshi9288

    Yoshi9288 GBAtemp Regular

    Member
    103
    33
    Jun 3, 2008
    Germany
    No you can just go straight to 2.1.0.
     
  3. aimaim
    OP

    aimaim Newbie

    Newcomer
    5
    0
    Apr 7, 2017
    Gambia, The
    That's unfortunate. Do all switches ship with 1.0.0 as of yet?
     
  4. Swan1360

    Swan1360 Member

    Newcomer
    27
    10
    Mar 25, 2017
    United States
    Yea I don't think Nintendo would ever ship them with 2.0
     
  5. The Real Jdbye

    The Real Jdbye Always Remember 30/07/08

    Member
    GBAtemp Patron
    The Real Jdbye is a Patron of GBAtemp and is helping us stay independent!

    Our Patreon
    12,112
    5,180
    Mar 17, 2010
    Norway
    Alola
    As far as I know. Do note that I don't think online works on 1.0.0. The browser is also missing, so there are no current entrypoints on 1.0.0 and there may never be.
     
  6. aimaim
    OP

    aimaim Newbie

    Newcomer
    5
    0
    Apr 7, 2017
    Gambia, The
    Yes, that's the problem. 1.0.0 does not have a browser and 2.0.0 seems to be unattainable :(
     
  7. Risingdawn

    Risingdawn GBAtemp Pickle

    Member
    652
    445
    May 22, 2010
    United Kingdom
    I wouldn't worry too much, you're unlikely to ever get much use out of 2.0.0. It provides an entry point for sure but it will be months and months before that entry point has provided enough to start homebrew and by then hopefully other entry points may have been found.

    It's best to stay on 2.0.0 right now as 2.1.0 offers nothing and eshop/online still works but future updates will break online for 2.0.0 and add features and if no entry point past 2.0.0 is found you're unlikely to see much homebrew due to low userbase to develop for.

    2.0.0 is only really usefull for hackers and those of us who aren't that interested in Switch for anything other than potential homebrew uses. It's still way to early to be dedicated to specific fw if you're interested in a fully functional Switch.
     
  8. aimaim
    OP

    aimaim Newbie

    Newcomer
    5
    0
    Apr 7, 2017
    Gambia, The
    Yea, I guess you're right. I just sold my 1.76 PS4 since I don't believe that there'll be much progress without a public userland+kernel exploit for a higher firmware/ bigger user base. The same could be true for the switch and 2.0.0.
     
  9. Selver

    Selver 13,5,1,14,9,14,7,12,5,19,19

    Member
    208
    277
    Dec 22, 2015
    PS 4.06 exploit chain for kernel was alluded to on twitter by user QWERTYorUIOP; Kernel bug stated as still existing on all current 4.xx kernels.

    See https://gbatemp.net/threads/ps4-gets-kernel-level-access-on-fw-4-06.466506/
     
  10. aimaim
    OP

    aimaim Newbie

    Newcomer
    5
    0
    Apr 7, 2017
    Gambia, The
    Thanks, yea I know. Let's just hope it gets released. I still have a ps4 slim on 3.55. Fingers crossed.
    I just meant Risingdawn is probably right when he says that for a thriving homebrew community to exist, there needs to be a bigger user base (which is exactly what we've seen with the ps4 so far).
     
    Last edited by aimaim, Apr 7, 2017
  11. urherenow

    urherenow GBAtemp Addict

    Member
    2,989
    889
    Mar 8, 2009
    United States
    Japan
    I'll yet my hands on a switch for the first time tomorrow night. AFAIK, the initial updates both for the system AND for BotW are pretty essential :( I really don't want to update, but I think I HAVE to update if for nothing other than to update BotW... or is that not the case? Is eshop locked out if you're on 1.0.0?

    Better yet, has there been a hard-mod dump made yet? I'm not afraid to do a hard mod before ever turning it on, if it's already proven possible and the pinouts are published...
     
  12. Jayro

    Jayro MediCat USB and Mini Windows 10 Developer

    Member
    GBAtemp Patron
    Jayro is a Patron of GBAtemp and is helping us stay independent!

    Our Patreon
    4,975
    2,687
    Jul 23, 2012
    United States
    Octo Canyon
    I'm on 2.0.0 and holding. I won't update if it still let's me on eShop and play Zelda.
     
    Cava likes this.
  13. shadowofdarkness

    shadowofdarkness GBAtemp Fan

    Member
    490
    168
    Apr 17, 2007
    Canada
    I don't know what happened but it seems to be possible to get to 2.0 still.

    I bought a new Switch from Amazon and received it last Thursday (6th) and it had 1.0 on it. I decided 2.1 with webkit was better then 1.0 without and since I missed 2.0 I would just update. I connected online and did a update, but now the system settings show me as on 2.0

    Afterwards I changed some DNS settings to try pegaswitch but found it to frustrating due to my Linux version using port 53 so I gave up.

    During the time I had the DNS set I did find errors in the error history that seem like it was trying to download 2.1

    Has anyone else heard of this? But at least I made it to 2.0 somehow without going to the newest.

    Edit apparently I was giving bad info on where to check my version. Before I got the Switch I saw people showing the version in a screen shot from the same area as the error history. Which I thought was correct considering it was 1.0 when I first got the system then changed to 2.0.

    But I found a different area that actually says 2.1 so that's what I'm on.
     
    Last edited by shadowofdarkness, Apr 9, 2017
  14. fire3element

    fire3element GBAtemp Regular

    Member
    156
    80
    Jul 24, 2015
    United States
    So what happened to this "share update" feature that was talked about before?
    The feature that would supposedly allow one Switch to download the update (games and/or OS) from another Switch.
     
  15. Mr. Wizard

    Mr. Wizard Ending the spread of bullshit one thread at a time

    Member
    1,112
    425
    Mar 20, 2015
    Canada
    10th Dimension
    That was my screenshot. It was for a person who was not sure if they were on 1.0 or 2.0. And you just confirmed that it does work to determine whether you are on 1.0 or 2.0.

    How is that bad info just because it doesn't extend to your situation? I never said it would show if you are on 2.1.

    — Posts automatically merged - Please don't double post! —

    It is there under software update, it's just not enabled yet.
     
    Last edited by Mr. Wizard, Apr 13, 2017
  16. fire3element

    fire3element GBAtemp Regular

    Member
    156
    80
    Jul 24, 2015
    United States
    Not on my system. Sounds like something that was added with the 2.0 update.